function p.get_is_solid()
    return true
end

function p.get_tex()
    return "block_hall"
end

function p.main()
    set_default_block("s")
    create_rect("e", 1,1,1, 14,14,14)
 
    --Doors.
    create_rect("e", 15,6,6, 15,8,8)
    create_rect("e", 0,6,6, 0,8,8)

    -- Adding an entity.
    add_bent(2,2,2, "bent_diamond")
    add_bent(2,2,4, "bent_diamond")
    add_bent(2,2,6, "bent_diamond")
    add_bent(2,2,8, "bent_diamond")
    add_bent(2,2,10, "bent_diamond")
    add_bent(2,2,12, "bent_diamond")
 
    local msg_str = "One thing you can add to a chunk "
        .. "is a \"^x00ff00basic entity^!\". "
        .. "These are centered in the middle of a block position "
        .. "and cannot move.\n\n"
        .. "In this room the following call "
        .. "was made in the main function: "
        .. "^x00ff00add_bent^!(2,2,2, \"bent_diamond\").\n\n"
        .. "Some basic entities have a string parameter, "
        .. "so these must be added using the "
        .. "separate function ^x00ff00add_bent_s^!. "
        .. "For example save boxes, text boxes, "
        .. "and waypoints all require a string "
        .. "parameter when they are created.\n\n"
        .. "You can create your own basic entity types "
        .. "by adding files to the ^x00ff00BasicEnts^! directory. "

    add_bent_s(7,7,7,"bent_base_txt",msg_str)
end
